local EpicMusicPlayer = LibStub("AceAddon-3.0"):GetAddon("EpicMusicPlayer")

EpicMusicPlayerGui.skins = { 
		default2 = {
			-- default values for all controls are: 
			--		type = "button", align = "TOPLEFT", height = 0, width = 0, offx = 0, offy = 0, bgtexture = nil, 
			--		normaltexture = nil, pushedtexture = nil, onleftclick = nil, onrightclick = nil},
			-- you only nedd to specify vaules that differ form the default ones.
			texturepath = "Interface\\AddOns\\EpicMusicPlayer\\gui\\pics\\",
			guiframe = { height = 50, width = 150},
			timebar = { align = "CENTER", height = 2, width = 140},
			text = { align = "TOP", height = 20, width = 130, offx = 0, offy = -5},
			last = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 20,
					offy = -24,
					normaltexture = "emp-last.tga",
					pushedtexture = "emp-last-p.tga",
					backgroundtexture = "emp-back.tga",
					onleftclick = EpicMusicPlayer.PlayLast,
					onrightclick = EpicMusicPlayerGui.SetLastModel,
				},
				play = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 36,
					offy = -24,
					normaltexture = "emp-play.tga",
					pushedtexture = "emp-play-p.tga",
					backgroundtexture = "emp-back.tga",
					normaltexture2 = "emp-stop.tga",
					pushedtexture2 = "emp-stop-p.tga",
					onleftclick = EpicMusicPlayerGui.TogglePlay,
					onrightclick = EpicMusicPlayerGui.TogglePlay,
				},
				next = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 52,
					offy = -24,
					normaltexture = "emp-next.tga",
					pushedtexture = "emp-next-p.tga",
					backgroundtexture = "emp-back.tga",
					onleftclick = EpicMusicPlayer.OnNextClick,
					onrightclick = EpicMusicPlayerGui.SetNextModel,
				},
				random = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 82,
					offy = -24,
					normaltexture = "emp-randomon.tga",
					pushedtexture = "emp-randomon-p.tga",
					backgroundtexture = "emp-back.tga",
					normaltexture2 = "emp-randomoff.tga",
					pushedtexture2 = "emp-randomoff-p.tga",
					onleftclick = EpicMusicPlayer.ToggleRandom,
					onrightclick = EpicMusicPlayerGui.ToggleDancer,
				},
				config = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 98,
					offy = -24,
					normaltexture = "emp-conf.tga",
					pushedtexture = "emp-conf-p.tga",
					backgroundtexture = "emp-back.tga",
					onleftclick = EpicMusicPlayer.ToggleMute,
					onrightclick = EpicMusicPlayer.ShowConfig,
				},
				playlist = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 114,
					offy = -24,
					normaltexture = "emp-list.tga",
					pushedtexture = "emp-list-p.tga",
					backgroundtexture = "emp-back.tga",
					onleftclick = EpicMusicPlayer.TogglePlayListGui,
					onrightclick = EpicMusicPlayer.ToggleList,
				},
		},
		compact = {
			guiframe = { height = 50, width = 57},
			timebar = { align = "CENTER", height = 2, width = 50},
			--text = { align = "TOP", height = 20, width = 45, offx = 3, offy = -5},
			last = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 5,
					offy = -5,
					normaltexture = "emp-last.tga",
					pushedtexture = "emp-last-p.tga",
					backgroundtexture = "emp-back.tga",
					onleftclick = EpicMusicPlayer.PlayLast,
					onrightclick = EpicMusicPlayerGui.SetLastModel,
				},
				play = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 21,
					offy = -5,
					normaltexture = "emp-play.tga",
					pushedtexture = "emp-play-p.tga",
					backgroundtexture = "emp-back.tga",
					normaltexture2 = "emp-stop.tga",
					pushedtexture2 = "emp-stop-p.tga",
					onleftclick = EpicMusicPlayerGui.TogglePlay,
					onrightclick = nil,
				},
				next = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 37,
					offy = -5,
					normaltexture = "emp-next.tga",
					pushedtexture = "emp-next-p.tga",
					backgroundtexture = "emp-back.tga",
					onleftclick = EpicMusicPlayer.OnNextClick,
					onrightclick = EpicMusicPlayerGui.SetNextModel,
				},
				random = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 5,
					offy = -24,
					normaltexture = "emp-randomon.tga",
					pushedtexture = "emp-randomon-p.tga",
					backgroundtexture = "emp-back.tga",
					normaltexture2 = "emp-randomoff.tga",
					pushedtexture2 = "emp-randomoff-p.tga",
					onleftclick = EpicMusicPlayer.ToggleRandom,
					onrightclick = EpicMusicPlayerGui.ToggleDancer,
				},
				config = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 21,
					offy = -24,
					normaltexture = "emp-conf.tga",
					pushedtexture = "emp-conf-p.tga",
					backgroundtexture = "emp-back.tga",
					onleftclick = EpicMusicPlayer.ToggleMute,
					onrightclick = EpicMusicPlayer.ShowConfig,
				},
				playlist = {
					type = "Button",
					height = 16,
					width = 16,
					offx = 37,
					offy = -24,
					normaltexture = "emp-list.tga",
					pushedtexture = "emp-list-p.tga",
					backgroundtexture = "emp-back.tga",
					onleftclick = EpicMusicPlayer.ToggleList,
					onrightclick = EpicMusicPlayerGui.SetNextModel,
				},
			},
		wotlk = {
			playerframe = {
				height = 50,
				width = 150,
				bgtexture = "emp-last.tga",
			},
			timebar = {
				height = 2,
			},
			text = {
				height = 20,
				width = 130,
			},
			buttonbackground = "emp-lkback.tga", --set nil if no extra button background
			buttons = {
				last = {
					height = 16,
					width = 16,
					offx = 15,
					offy = -24,
					normaltexture = "emp-last.tga",
					pushedtexture = "emp-last-p.tga",
					onleftclick = EpicMusicPlayer.PlayLast,
					onrightclick = EpicMusicPlayerGui.SetLastModel,
				},
				play = {
					height = 16,
					width = 16,
					offx = 36,
					offy = -24,
					normaltexture = "emp-play.tga",
					pushedtexture = "emp-play-p.tga",
					onleftclick = EpicMusicPlayerGui.TogglePlay,
					onrightclick = nil,
				},
				next = {
					height = 16,
					width = 16,
					offx = 57,
					offy = -24,
					normaltexture = "emp-next.tga",
					pushedtexture = "emp-next-p.tga",
					onleftclick = EpicMusicPlayer.OnNextClick,
					onrightclick = EpicMusicPlayerGui.SetNextModel,
				},
				random = {
					height = 16,
					width = 16,
					offx = 77,
					offy = -24,
					normaltexture = "emp-randomon.tga",
					pushedtexture = "emp-randomon-p.tga",
					onleftclick = EpicMusicPlayer.ToggleRandom,
					onrightclick = EpicMusicPlayerGui.ToggleDancer,
				},
				config = {
					height = 16,
					width = 16,
					offx = 98,
					offy = -24,
					normaltexture = "emp-conf.tga",
					pushedtexture = "emp-conf-p.tga",
					onleftclick = EpicMusicPlayer.ToggleMute,
					onrightclick = EpicMusicPlayer.ShowConfig,
				},
				playlist = {
					height = 16,
					width = 16,
					offx = 119,
					offy = -24,
					normaltexture = "emp-list.tga",
					pushedtexture = "emp-list-p.tga",
					onleftclick = EpicMusicPlayer.ToggleList,
					onrightclick = EpicMusicPlayerGui.SetNextModel,
				},
			},
		},
	}
	